<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZPlayerCameraResult Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d66/class_day_z_player_camera_result.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZPlayerCameraResult Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a40b845801236b46a935bb06b4054e5df"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a40b845801236b46a935bb06b4054e5df">DayZPlayerCameraResult</a> ()</td></tr>
<tr class="memdesc:a40b845801236b46a935bb06b4054e5df"><td class="mdescLeft">&#160;</td><td class="mdescRight">cannot be instanced from script (always created from C++)  <a href="../../d2/d66/class_day_z_player_camera_result.html#a40b845801236b46a935bb06b4054e5df">More...</a><br /></td></tr>
<tr class="separator:a40b845801236b46a935bb06b4054e5df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cac5d1b50cecf0ad218359c22f6d814"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a6cac5d1b50cecf0ad218359c22f6d814">~DayZPlayerCameraResult</a> ()</td></tr>
<tr class="memdesc:a6cac5d1b50cecf0ad218359c22f6d814"><td class="mdescLeft">&#160;</td><td class="mdescRight">cannot be instanced from script (always created from C++)  <a href="../../d2/d66/class_day_z_player_camera_result.html#a6cac5d1b50cecf0ad218359c22f6d814">More...</a><br /></td></tr>
<tr class="separator:a6cac5d1b50cecf0ad218359c22f6d814"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a16606423fe7170930f657c2b3885d011"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a16606423fe7170930f657c2b3885d011">m_CameraTM</a> [4]</td></tr>
<tr class="memdesc:a16606423fe7170930f657c2b3885d011"><td class="mdescLeft">&#160;</td><td class="mdescRight">transformation matrix - pos + orient of the camera  <a href="../../d2/d66/class_day_z_player_camera_result.html#a16606423fe7170930f657c2b3885d011">More...</a><br /></td></tr>
<tr class="separator:a16606423fe7170930f657c2b3885d011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37ec06610a23b417cf751d2df030d45c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a37ec06610a23b417cf751d2df030d45c">m_fFovMultiplier</a></td></tr>
<tr class="memdesc:a37ec06610a23b417cf751d2df030d45c"><td class="mdescLeft">&#160;</td><td class="mdescRight">fov multiplier - 1.0 default - used for modifying fov -  <a href="../../d2/d66/class_day_z_player_camera_result.html#a37ec06610a23b417cf751d2df030d45c">More...</a><br /></td></tr>
<tr class="separator:a37ec06610a23b417cf751d2df030d45c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd29b8809f6e7c30ccef41e49229162"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a3cd29b8809f6e7c30ccef41e49229162">m_fFovAbsolute</a></td></tr>
<tr class="memdesc:a3cd29b8809f6e7c30ccef41e49229162"><td class="mdescLeft">&#160;</td><td class="mdescRight">fov absolute value override - -1.0 default, if set - overrides absolute fov setting  <a href="../../d2/d66/class_day_z_player_camera_result.html#a3cd29b8809f6e7c30ccef41e49229162">More...</a><br /></td></tr>
<tr class="separator:a3cd29b8809f6e7c30ccef41e49229162"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ccb45bf59e214df84a262a55e6cbdc5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a9ccb45bf59e214df84a262a55e6cbdc5">m_fNearPlane</a></td></tr>
<tr class="memdesc:a9ccb45bf59e214df84a262a55e6cbdc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">nearplane distance  <a href="../../d2/d66/class_day_z_player_camera_result.html#a9ccb45bf59e214df84a262a55e6cbdc5">More...</a><br /></td></tr>
<tr class="separator:a9ccb45bf59e214df84a262a55e6cbdc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80c83c3e42b999b766e0eae1c3d28ea4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a80c83c3e42b999b766e0eae1c3d28ea4">m_fPositionModelSpace</a></td></tr>
<tr class="memdesc:a80c83c3e42b999b766e0eae1c3d28ea4"><td class="mdescLeft">&#160;</td><td class="mdescRight">0.0 position is in heading space, 1.0 position is in model space  <a href="../../d2/d66/class_day_z_player_camera_result.html#a80c83c3e42b999b766e0eae1c3d28ea4">More...</a><br /></td></tr>
<tr class="separator:a80c83c3e42b999b766e0eae1c3d28ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af99648c8e0b6d6a225bfcae06ef4d335"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#af99648c8e0b6d6a225bfcae06ef4d335">m_fDistance</a></td></tr>
<tr class="memdesc:af99648c8e0b6d6a225bfcae06ef4d335"><td class="mdescLeft">&#160;</td><td class="mdescRight">camera distance (external cameras only)  <a href="../../d2/d66/class_day_z_player_camera_result.html#af99648c8e0b6d6a225bfcae06ef4d335">More...</a><br /></td></tr>
<tr class="separator:af99648c8e0b6d6a225bfcae06ef4d335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10cc40e4a4099cb42f4a2f1628b2ee35"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a10cc40e4a4099cb42f4a2f1628b2ee35">m_fUseHeading</a></td></tr>
<tr class="memdesc:a10cc40e4a4099cb42f4a2f1628b2ee35"><td class="mdescLeft">&#160;</td><td class="mdescRight">0..1 (0 uses direct dir returned, 1 uses heading from player)  <a href="../../d2/d66/class_day_z_player_camera_result.html#a10cc40e4a4099cb42f4a2f1628b2ee35">More...</a><br /></td></tr>
<tr class="separator:a10cc40e4a4099cb42f4a2f1628b2ee35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb5f3f165b554bb95ffefc33e8f8e7fa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#acb5f3f165b554bb95ffefc33e8f8e7fa">m_iDirectBone</a></td></tr>
<tr class="memdesc:acb5f3f165b554bb95ffefc33e8f8e7fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">-1 no bone, &gt;= 0 - bone index camera is bound to, m_CameraTM is offset to the bone  <a href="../../d2/d66/class_day_z_player_camera_result.html#acb5f3f165b554bb95ffefc33e8f8e7fa">More...</a><br /></td></tr>
<tr class="separator:acb5f3f165b554bb95ffefc33e8f8e7fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14d26a05e471baa18f42e23198e4d380"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a14d26a05e471baa18f42e23198e4d380">m_iDirectBoneMode</a></td></tr>
<tr class="separator:a14d26a05e471baa18f42e23198e4d380"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d4b9bfaef9577a10fe80a39a49b0d06"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a7d4b9bfaef9577a10fe80a39a49b0d06">m_fInsideCamera</a></td></tr>
<tr class="memdesc:a7d4b9bfaef9577a10fe80a39a49b0d06"><td class="mdescLeft">&#160;</td><td class="mdescRight">0 not used, 1 - pos, 2 - rot, 3 - pos+rot applied as a parent to m_CameraTM, 4 as 3 but cam aligned with Y  <a href="../../d2/d66/class_day_z_player_camera_result.html#a7d4b9bfaef9577a10fe80a39a49b0d06">More...</a><br /></td></tr>
<tr class="separator:a7d4b9bfaef9577a10fe80a39a49b0d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60134bb1e1a586328f28ff4a80dcd33a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a60134bb1e1a586328f28ff4a80dcd33a">m_bUpdateWhenBlendOut</a></td></tr>
<tr class="memdesc:a60134bb1e1a586328f28ff4a80dcd33a"><td class="mdescLeft">&#160;</td><td class="mdescRight">true - camera is updated when blending to new camera (Ironsights == false)  <a href="../../d2/d66/class_day_z_player_camera_result.html#a60134bb1e1a586328f28ff4a80dcd33a">More...</a><br /></td></tr>
<tr class="separator:a60134bb1e1a586328f28ff4a80dcd33a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3957f855cb00cf6eb1b3010c898d5de2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a3957f855cb00cf6eb1b3010c898d5de2">m_fShootFromCamera</a></td></tr>
<tr class="memdesc:a3957f855cb00cf6eb1b3010c898d5de2"><td class="mdescLeft">&#160;</td><td class="mdescRight">1(default) - uses shoot from camera (+aiming sway), 0 pure weapon shoot (ironsights == 0)  <a href="../../d2/d66/class_day_z_player_camera_result.html#a3957f855cb00cf6eb1b3010c898d5de2">More...</a><br /></td></tr>
<tr class="separator:a3957f855cb00cf6eb1b3010c898d5de2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa10a1e2cf704cbc5be8092e7d19f7dfe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#aa10a1e2cf704cbc5be8092e7d19f7dfe">m_fIgnoreParentRoll</a></td></tr>
<tr class="memdesc:aa10a1e2cf704cbc5be8092e7d19f7dfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">1 - resets base transforms roll  <a href="../../d2/d66/class_day_z_player_camera_result.html#aa10a1e2cf704cbc5be8092e7d19f7dfe">More...</a><br /></td></tr>
<tr class="separator:aa10a1e2cf704cbc5be8092e7d19f7dfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac35394ef0e8293ed6b09d2000bad733d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#ac35394ef0e8293ed6b09d2000bad733d">m_fIgnoreParentPitch</a></td></tr>
<tr class="memdesc:ac35394ef0e8293ed6b09d2000bad733d"><td class="mdescLeft">&#160;</td><td class="mdescRight">1 - resets base transforms pitch  <a href="../../d2/d66/class_day_z_player_camera_result.html#ac35394ef0e8293ed6b09d2000bad733d">More...</a><br /></td></tr>
<tr class="separator:ac35394ef0e8293ed6b09d2000bad733d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19285ef5af1c0a768b28fb8e27bb3642"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#a19285ef5af1c0a768b28fb8e27bb3642">m_fIgnoreParentYaw</a></td></tr>
<tr class="memdesc:a19285ef5af1c0a768b28fb8e27bb3642"><td class="mdescLeft">&#160;</td><td class="mdescRight">1 - resets base transforms yaw  <a href="../../d2/d66/class_day_z_player_camera_result.html#a19285ef5af1c0a768b28fb8e27bb3642">More...</a><br /></td></tr>
<tr class="separator:a19285ef5af1c0a768b28fb8e27bb3642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1ae0a15b440b6bbf0e4abda6ae966f6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html#ac1ae0a15b440b6bbf0e4abda6ae966f6">m_CollisionIgnoreEntity</a></td></tr>
<tr class="memdesc:ac1ae0a15b440b6bbf0e4abda6ae966f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">ignore entity in 3rd person camera collision solver  <a href="../../d2/d66/class_day_z_player_camera_result.html#ac1ae0a15b440b6bbf0e4abda6ae966f6">More...</a><br /></td></tr>
<tr class="separator:ac1ae0a15b440b6bbf0e4abda6ae966f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00011">11</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a40b845801236b46a935bb06b4054e5df" name="a40b845801236b46a935bb06b4054e5df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40b845801236b46a935bb06b4054e5df">&#9670;&#160;</a></span>DayZPlayerCameraResult()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void DayZPlayerCameraResult::DayZPlayerCameraResult </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>cannot be instanced from script (always created from C++) </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00033">33</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a6cac5d1b50cecf0ad218359c22f6d814" name="a6cac5d1b50cecf0ad218359c22f6d814"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cac5d1b50cecf0ad218359c22f6d814">&#9670;&#160;</a></span>~DayZPlayerCameraResult()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void DayZPlayerCameraResult::~DayZPlayerCameraResult </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>cannot be instanced from script (always created from C++) </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00038">38</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a60134bb1e1a586328f28ff4a80dcd33a" name="a60134bb1e1a586328f28ff4a80dcd33a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60134bb1e1a586328f28ff4a80dcd33a">&#9670;&#160;</a></span>m_bUpdateWhenBlendOut</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerCameraResult::m_bUpdateWhenBlendOut</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>true - camera is updated when blending to new camera (Ironsights == false) </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00025">25</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a16606423fe7170930f657c2b3885d011" name="a16606423fe7170930f657c2b3885d011"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16606423fe7170930f657c2b3885d011">&#9670;&#160;</a></span>m_CameraTM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> DayZPlayerCameraResult::m_CameraTM[4]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>transformation matrix - pos + orient of the camera </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00014">14</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="ac1ae0a15b440b6bbf0e4abda6ae966f6" name="ac1ae0a15b440b6bbf0e4abda6ae966f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1ae0a15b440b6bbf0e4abda6ae966f6">&#9670;&#160;</a></span>m_CollisionIgnoreEntity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> DayZPlayerCameraResult::m_CollisionIgnoreEntity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ignore entity in 3rd person camera collision solver </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00030">30</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="af99648c8e0b6d6a225bfcae06ef4d335" name="af99648c8e0b6d6a225bfcae06ef4d335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af99648c8e0b6d6a225bfcae06ef4d335">&#9670;&#160;</a></span>m_fDistance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fDistance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>camera distance (external cameras only) </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00019">19</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a3cd29b8809f6e7c30ccef41e49229162" name="a3cd29b8809f6e7c30ccef41e49229162"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cd29b8809f6e7c30ccef41e49229162">&#9670;&#160;</a></span>m_fFovAbsolute</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fFovAbsolute</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fov absolute value override - -1.0 default, if set - overrides absolute fov setting </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00016">16</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a37ec06610a23b417cf751d2df030d45c" name="a37ec06610a23b417cf751d2df030d45c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37ec06610a23b417cf751d2df030d45c">&#9670;&#160;</a></span>m_fFovMultiplier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fFovMultiplier</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fov multiplier - 1.0 default - used for modifying fov - </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00015">15</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="ac35394ef0e8293ed6b09d2000bad733d" name="ac35394ef0e8293ed6b09d2000bad733d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac35394ef0e8293ed6b09d2000bad733d">&#9670;&#160;</a></span>m_fIgnoreParentPitch</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fIgnoreParentPitch</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>1 - resets base transforms pitch </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00028">28</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="aa10a1e2cf704cbc5be8092e7d19f7dfe" name="aa10a1e2cf704cbc5be8092e7d19f7dfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa10a1e2cf704cbc5be8092e7d19f7dfe">&#9670;&#160;</a></span>m_fIgnoreParentRoll</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fIgnoreParentRoll</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>1 - resets base transforms roll </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00027">27</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a19285ef5af1c0a768b28fb8e27bb3642" name="a19285ef5af1c0a768b28fb8e27bb3642"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19285ef5af1c0a768b28fb8e27bb3642">&#9670;&#160;</a></span>m_fIgnoreParentYaw</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fIgnoreParentYaw</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>1 - resets base transforms yaw </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00029">29</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a7d4b9bfaef9577a10fe80a39a49b0d06" name="a7d4b9bfaef9577a10fe80a39a49b0d06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d4b9bfaef9577a10fe80a39a49b0d06">&#9670;&#160;</a></span>m_fInsideCamera</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fInsideCamera</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>0 not used, 1 - pos, 2 - rot, 3 - pos+rot applied as a parent to m_CameraTM, 4 as 3 but cam aligned with Y </p>
<p >0..1 (0 normal lod, 1 inside lod), &gt;0.7 -&gt; inside </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00024">24</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a9ccb45bf59e214df84a262a55e6cbdc5" name="a9ccb45bf59e214df84a262a55e6cbdc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ccb45bf59e214df84a262a55e6cbdc5">&#9670;&#160;</a></span>m_fNearPlane</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fNearPlane</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>nearplane distance </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00017">17</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a80c83c3e42b999b766e0eae1c3d28ea4" name="a80c83c3e42b999b766e0eae1c3d28ea4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80c83c3e42b999b766e0eae1c3d28ea4">&#9670;&#160;</a></span>m_fPositionModelSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fPositionModelSpace</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>0.0 position is in heading space, 1.0 position is in model space </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00018">18</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a3957f855cb00cf6eb1b3010c898d5de2" name="a3957f855cb00cf6eb1b3010c898d5de2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3957f855cb00cf6eb1b3010c898d5de2">&#9670;&#160;</a></span>m_fShootFromCamera</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fShootFromCamera</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>1(default) - uses shoot from camera (+aiming sway), 0 pure weapon shoot (ironsights == 0) </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00026">26</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a10cc40e4a4099cb42f4a2f1628b2ee35" name="a10cc40e4a4099cb42f4a2f1628b2ee35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10cc40e4a4099cb42f4a2f1628b2ee35">&#9670;&#160;</a></span>m_fUseHeading</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCameraResult::m_fUseHeading</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>0..1 (0 uses direct dir returned, 1 uses heading from player) </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00020">20</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="acb5f3f165b554bb95ffefc33e8f8e7fa" name="acb5f3f165b554bb95ffefc33e8f8e7fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb5f3f165b554bb95ffefc33e8f8e7fa">&#9670;&#160;</a></span>m_iDirectBone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZPlayerCameraResult::m_iDirectBone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>-1 no bone, &gt;= 0 - bone index camera is bound to, m_CameraTM is offset to the bone </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00022">22</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<a id="a14d26a05e471baa18f42e23198e4d380" name="a14d26a05e471baa18f42e23198e4d380"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14d26a05e471baa18f42e23198e4d380">&#9670;&#160;</a></span>m_iDirectBoneMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZPlayerCameraResult::m_iDirectBoneMode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d58/dayzplayer_8c_source.html#l00023">23</a> of file <a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d3/d58/dayzplayer_8c_source.html">dayzplayer.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
